var expDays = 30;
var exp = new Date();
exp.setTime(exp.getTime() + (expDays*24*60*60*1000));

function getCookieVal (offset) {
var endstr = window.opener.docpath.cookie.indexOf (";", offset);
if (endstr == -1)
endstr = window.opener.docpath.cookie.length;
return unescape(window.opener.docpath.cookie.substring(offset, endstr));
}
function GetCookie (name) {

var arg = name + "=";
var alen = arg.length;
var clen = window.opener.docpath.cookie.length;
var i = 0;
while (i < clen) {
var j = i + alen;

if (window.opener.docpath.cookie.substring(i, j) == arg)
return getCookieVal (j);
i = window.opener.docpath.cookie.indexOf(" ", i) + 1;
if (i == 0) break;
}
return null;
}
function SetCookie (name, value) {

var argv = SetCookie.arguments;
var argc = SetCookie.arguments.length;
var expires = (argc > 2) ? argv[2] : null;
var path = (argc > 3) ? argv[3] : null;
var domain = (argc > 4) ? argv[4] : null;
var secure = (argc > 5) ? argv[5] : false;

window.opener.docpath.cookie = name + "=" + escape (value) +
((expires == null) ? "" : ("; expires=" + expires.toGMTString())) +
((path == null) ? "" : ("; path=" + path)) +
((domain == null) ? "" : ("; domain=" + domain)) +
((secure == true) ? "; secure" : "");


}
function DeleteCookie (name) {
var exp = new Date();
exp.setTime (exp.getTime() - 1);
var cval = GetCookie (name);
window.opener.docpath.cookie = name + "=" + cval + "; expires=" + exp.toGMTString();
}
//DeleteCookie ('cookietest')
//url = GetCookie('cookietest');

